apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Release.Name }}-bff
spec:
  selector:
    matchLabels:
      app: {{ .Release.Name }}-bff
  replicas: 1
  template:
    metadata:
      labels:
        app: {{ .Release.Name }}-bff
    spec:
      containers:
        - name: {{ .Release.Name }}-bff
          image: larrybrand/devops-aws-infra-example-bff:latest
          ports:
            - containerPort: 8080
          env:
            - name: backend.url
              value: http://{{ .Release.Name }}{{ .Values.domain.backend.domainPostfix }}:8080
---
apiVersion: v1
kind: Service
metadata:
  name: {{ .Release.Name }}-bff
spec:
  selector:
    app: {{ .Release.Name }}-bff
  ports:
    - port: 8080
      targetPort: 8080
